The opaleye-classy package

[maintain]
Warnings:

Classy MTL extension of the lovely Opaleye library, which simply just wraps things up in a MonadReader , MonadError context where the config & error are constrained by Classy Lenses & Prisms rather than by concrete types

More info on this pattern can be found in George Wilson's BFPG talk : http://talks.bfpg.org/talks/2015-06-09.next_level_mtl.html

Note: This API may not be complete. If you need other functions exported then let me know or drop in a PR.


[Skip to ReadMe]

Properties

Versions0.1.0.0, 0.1.0.0, 0.1.0.1, 0.2.0.0, 0.2.1.0, 0.3.0.0, 0.3.1.0, 0.3.1.1
Dependenciesbase (==4.*), bytestring (>=0.10), lens (>=4.0), mtl (>=2.2), opaleye (>=0.4), postgresql-simple (>=0.4.8.0 && <0.5), product-profunctors (>=0.6.2 && <0.7), transformers (>=0.4) [details]
LicenseMIT
AuthorBen Kolera
Maintainerben.kolera@gmail.com
CategoryDatabase
Home pagehttps://github.com/benkolera/opaleye-classy/tree/master
Source repositoryhead: git clone git@github.com:benkolera/opaleye-classy
UploadedFri Aug 28 02:39:57 UTC 2015 by BenKolera

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees

Readme for opaleye-classy-0.1.0.0

opaleye-classy

Classy MTL extension of the lovely Opaleye library, which simply just wraps things up in a MonadReader , MonadError context where the config/error are constrained by Classy Lenses/Prisms rather than by concrete non-extensible types.

More info on this pattern can be found in George Wilson's BFPG talk:

http://talks.bfpg.org/talks/2015-06-09.next_level_mtl.html

Note: This API may not be complete. If you need other functions exported then let me know or drop in a PR.